.nav {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 800;
    height: rem(56);
    position: fixed;
    padding: 0 rem(16);
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: white;

    &__logo {
        left: rem(24);
        bottom: rem(24);
        z-index: 500;
        font-size: 0;
        line-height: 0;
        display: none;
        position: fixed;
        width: rem(64);
        height: rem(64);
        overflow: hidden;
        background: white;
        border-radius: 12px;
        border: 1px solid var(--gray-300);

        &--single {
            top: rem(8);
            left: rem(8);
            position: fixed;
            display: block;
        }
    }

    &__play {
        z-index: 500;
        right: rem(24);
        bottom: rem(96);
        font-size: 0;
        line-height: 0;
        display: none;
        width: rem(64);
        height: rem(64);
        position: fixed;
        overflow: hidden;
        fill: var(--gray);
        border-radius: 12px;
        background: var(--gray-300);

        &:hover {
            fill: white;
            background: var(--green);
        }
    }

    &__skolkovo {
        top: rem(24);
        right: rem(24);
        z-index: 500;
        display: none;
        width: 149px;
        position: fixed;
    }

    @include media-breakpoint-up(md) {
        justify-content: space-evenly;


        &__logo {

            &--single {
                top: auto;
                bottom: rem(24);
                left: rem(24);
                position: fixed;
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding: 0;
        top: rem(24);
        left: rem(24);
        bottom: auto;
        right: auto;
        position: fixed;
        width: auto;
        height: auto;
        background: transparent;
        display: flex;
        flex-direction: column;
        row-gap: rem(8);

        &__logo {
            display: block;
        }

        &__play {
            display: block;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__skolkovo {
            display: block;
        }
    }
}

.nav-avatar {
    padding: 0;
    width: rem(56);
    height: rem(56);
    cursor: pointer;
    position: relative;
    fill: var(--gray-300);
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover {
        fill: var(--green);
    }

    &__bg {
        display: block;
        width: rem(42);
    }

    &__image {
        top: calc(50% - 12px);
        left: calc(50% - 12px);
        z-index: 20;
        width: 24px;
        height: 24px;
        display: block;
        position: absolute;
    }

    @include media-breakpoint-up(lg) {
        z-index: 500;
        left: rem(24);
        bottom: rem(96);
        position: fixed;
        width: rem(64);
        height: rem(64);

        &__bg {
            width: 100%;
        }

        &__image {
            width: 36px;
            height: 36px;
            top: calc(50% - 18px);
            left: calc(50% - 18px);
        }
    }
}

.nav-button {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    width: rem(56);
    height: rem(56);
    cursor: pointer;
    position: relative;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;

    &__active {
        height: rem(38);
        display: none;
        flex-shrink: 0;
    }

    &__inactive {
        height: rem(38);
        display: inline-block;
        flex-shrink: 0;
    }

    &__quantity {
        top: 4px;
        right: 0;
        color: white;
        font-weight: 500;
        font-size: rem(10);
        line-height: rem(12);
        border-radius: 50%;
        border: 1px solid white;
        background: var(--green);
        width: 18px;
        height: 18px;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &:hover,
    &.active {

        .nav-button {

            &__active {
                display: block;
            }

            &__inactive {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        //z-index: 500;
        //position: fixed;
        width: rem(60);
        height: auto;

        &__quantity {
            top: 0;
            right: -10px;
            width: 22px;
            height: 22px;
            font-size: rem(12);
            line-height: rem(14);
        }

        &--01 {
            width: rem(60);
            height: rem(58);

            .nav-button {

                &__active {
                    width: rem(60);
                    height: rem(58);
                }

                &__inactive {
                    width: rem(60);
                    height: rem(58);
                }
            }
        }

        &--02 {

            width: rem(60);
            height: rem(56);

            .nav-button {

                &__active {
                    width: rem(59);
                    height: rem(56);
                }

                &__inactive {
                    width: rem(59);
                    height: rem(56);
                }
            }
        }

        &--03 {

            width: rem(60);
            height: rem(56);

            .nav-button {

                &__active {
                    width: rem(59);
                    height: rem(56);
                }

                &__inactive {
                    width: rem(59);
                    height: rem(56);
                }
            }
        }
    }
}

.nav-messages {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    width: rem(56);
    height: rem(56);
    cursor: pointer;
    position: relative;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;

    &__active {
        height: rem(36);
        display: none;
        flex-shrink: 0;
    }

    &__inactive {
        height: rem(36);
        display: inline-block;
        flex-shrink: 0;
    }

    &__quantity {
        top: 4px;
        right: 0;
        color: white;
        font-weight: 500;
        font-size: rem(10);
        line-height: rem(12);
        border-radius: 50%;
        border: 1px solid white;
        background: var(--blue);
        width: 18px;
        height: 18px;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &:hover,
    &.active {

        .nav-messages {

            &__active {
                display: block;
            }

            &__inactive {
                display: none;
            }
        }
    }

    &--single {
        right: rem(8);
        bottom: rem(8);
        position: fixed;

        .nav-messages {

            &__active {
                height: rem(56);
            }

            &__inactive {
                height: rem(56);
            }
        }
    }


    @include media-breakpoint-up(md) {

        &--single {
            right: rem(24);
            bottom: rem(24);
            position: fixed;
            width: rem(64);
            height: rem(64);

            .nav-messages {

                &__active {
                    height: rem(64);
                }

                &__inactive {
                    height: rem(64);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        right: rem(24);
        bottom: rem(24);
        z-index: 500;
        width: rem(64);
        height: rem(64);
        position: fixed;

        &__active {
            width: rem(64);
            height: rem(64);
        }

        &__inactive {
            width: rem(64);
            height: rem(64);
        }

        &__quantity {
            top: 0;
            right: -10px;
            width: 22px;
            height: 22px;
            font-size: rem(12);
            line-height: rem(14);
        }
    }
}
